RZ_TEST(1)

NAME
rz-test - rizin regression testsuite

SYNOPSIS
rz-test [-qvVnL] [-j threads] [-test file/dir | @test-type]

DESCRIPTION
This command is part of the Rizin project.

Run all the rizin-regressions tests matching a specific word in the name.

You need rizin to be available in $PATH.

OPTIONS

-h  Show usage help message

-v  Show version information

-q  Quiet mode

-V  Be verbose

-i  Interactive mode

-n  Do nothing (don't run any test, just load/parse them)

-L  Log mode (better printing for CI, logfiles, etc.)

-F dir
    Run fuzz tests (open and default analysis) on all files in the given dir

-j threads
    How many threads to use for running tests concurrently (default is 8)

-r rizin
    Set path to rizin executable (default is rizin)

-m rz-asm
    Set path to rz-asm executable (default is rz-asm)

-f file
    File to use for JSON tests (default is bins/elf/crackme0x00b)

-C dir
    Chdir before running rz-test (default follows executable symlink + test/new)

-t seconds
    Timeout per test (default is 960 seconds)

-o file
    Output test run information in JSON format to file

-e dir
    Exclude a particular directory while testing (this option can appear many times)

-s num
    Number of expected successful tests

-x num
    Number of expected failed tests

    Supported test types: @json @unit @fuzz @cmds

ENVIRONMENT
EDITOR: editor to use (eg: "vim")

USAGE
Use the -n flag to dont run any test. Just load them.

$ rz-test -n [rz-test] Loading tests...

SEE ALSO
rizin(1), rz-asm(1), rz-bin(1), rz-diff(1), rz-find(1), rz-hash(1)

AUTHORS
pancake <pancake@nopcode.org>

byteninjaa0